<!DOCTYPE HTML>
<html lang="en">
<head>
	<link href="/img/favicon.ico" rel="icon" type="image/x-icon" />
	<link href="/css/bootstrap.min.css" rel="stylesheet">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link href="/css/bootstrap-responsive.min.css" rel="stylesheet">
	<link href="/css/bootstrap-tokenfield.min.css" rel="stylesheet">
	<link href="/css/custom.css" rel="stylesheet">
	<link rel="alternate" type="application/rss+xml" title="{{.Title}}" href="/search/?fmt=rss&q={{.Search}}" />
	<title>{{.Title}}</title>
	<script src="/js/jquery.js"></script>
</head>
<body>
<!-- login screen -->
<form class="form-horizontal modal hide" id="login" method="POST" action="/login/" enctype="application/x-www-form-urlencoded">
  <div class="modal-header">
    <a type="button" class="close" data-dismiss="modal">×</a>
    <h3>Log In</h3>
	<small><a href="/login/">Or create an account -></a></small>
  </div>
  <div class="modal-body">
	<fieldset>
	<div class="control-group">
	  <div class="controls">
	  <div class="input-prepend">
	  <div class="add-on"><i class="icon-user"></i></div>
	  <input type="text" placeholder="Username" size="16" name="user" autofocus="autofocus">
	  </div>
	  </div>
	</div>
	<div class="control-group">
	  <div class="controls">
	  <div class="input-prepend">
	  <div class="add-on"><i class="icon-lock"></i></div>
	  <input type="password" placeholder="Password" size="16" name="pass">
	  </div>
	  </div>
	</div>
	</fieldset>
  </div>
  <div class="modal-footer">
	<fieldset>
	<a href="#" class="btn" data-dismiss="modal">Cancel</a>
	<input class="btn btn-primary" type="submit" name="submit" value="Log In"/>
	</fieldset>
  </div>
</form>

<div class="navbar navbar-inverse">
<div class="navbar-inner">
	<div class="container">
		<a class="brand" href="/">Imperial Library</a>
		<div class="nav-collapse">
		<ul class="nav">
			<li {{if .Home}}class="active"{{end}}><a href="/">Home</a></li>
			<li {{if .About}}class="active"{{end}}><a href="/about/">About</a></li>
			<li {{if .News}}class="active"{{end}}><a href="/news/">News</a></li>
			<li {{if .Upload}}class="active"{{end}}><a href="/upload/">Upload</a></li>
		</ul>

		<ul class="nav pull-right">
			<li class="divider-vertical"></li>
			{{if .User}}
			<li class="dropdown">
				<a href="/dashboard/" class="dropdown-toggle" data-toggle="dropdown">
					<i class="icon-user icon-white"></i> {{.User}}<b class="caret"></b>
				</a>
				<ul class="dropdown-menu">
					<li><a href="/dashboard/"><i class="icon-tasks"></i> Dashboard</a></li>
					{{if eq .Role "admin" "moderator"}}
					<li><a href="/submission/moderate/"><i class="icon-book"></i> Moderate submissions</a></li>
					{{if eq .Role "admin"}}
					<li><a href="/news/edit"><i class="icon-certificate"></i> Edit news</a></li>
					<li><a href="/admin/users/"><i class="icon-user"></i> Users admin</a></li>
					{{end}}
					<li class="divider"></li>
					{{end}}
					<li><a href="/submission/"><i class="icon-folder-open"></i> Submissions</a></li>
					<li><a href="/settings/"><i class="icon-wrench"></i> Settings</a></li>
					<li class="divider"></li>
					<li><a href="/logout/"><i class="icon-off"></i> Log Out</a></li>
				</ul>
			</li>
			{{else}}
			<li><a data-toggle="modal" href="/login/#login"><i class="icon-user icon-white"></i> <small>Login/SignUp</small></a></li>
			{{end}}
		</ul>
		</div><!--/.nav-collapse -->
		<form class="navbar-search pull-right" action="/search/">
			<input type="search" class="search-query span3" name="q" {{if .Search}}value="{{.Search}}"{{else}}placeholder="Search"{{end}} />
		</form>
		<ul class="nav pull-right">
			<li {{if .Help}}class="active"{{end}}><a href="/help/">Help</a></li>
		</ul>
	</div>
</div>
</div>
<div class="container">
{{range .Notif}}
	<div class="alert alert-{{.Type}}">
	<button class="close" data-dismiss="alert">×</button>
	<strong>{{.Title}}</strong> {{.Msg}}
	</div>
{{end}}
